Users
Update user employment info
Update employment and source-of-wealth information for a user account.
PATCH
/
users
/
me
/
employment-info
Update user employment info
curl --request PATCH \
--url https://{host}/users/me/employment-info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data '
{
"employmentInfo": {
"incomeRangeId": "5",
"employmentStatus": "SelfEmployed",
"sourcesOfWealth": [
"BusinessOwnership"
],
"industry": "FinanceAndInsurance"
}
}
'import requests
url = "https://{host}/users/me/employment-info"
payload = { "employmentInfo": {
"incomeRangeId": "5",
"employmentStatus": "SelfEmployed",
"sourcesOfWealth": ["BusinessOwnership"],
"industry": "FinanceAndInsurance"
} }
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-user-id': '<x-user-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
employmentInfo: {
incomeRangeId: '5',
employmentStatus: 'SelfEmployed',
sourcesOfWealth: ['BusinessOwnership'],
industry: 'FinanceAndInsurance'
}
})
};
fetch('https://{host}/users/me/employment-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
MongoDB ObjectId of the authenticated user
Pattern:
^[a-f0-9]{24}$Body
application/json
Employment and source of wealth information. Required on create user. incomeRangeId, employmentStatus, and sourcesOfWealth are required. Industry is required when employmentStatus is FullTime, PartTime, or SelfEmployed.
Show child attributes
Show child attributes
Response
Employment info updated successfully
⌘I
Update user employment info
